- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_cdot_license – Manage NetApp cDOT protocol and feature licenses

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.11
Why: | Updated modules released with increased functionality
Alternative: | Use na_ontap_license instead.

## Synopsis

- Add or remove licenses on NetApp ONTAP.

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules were developed with Clustered Data ONTAP 8.3
- Ansible 2.2
- netapp-lib (2015.9.25). Install using ‘pip install netapp-lib’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname - / required |  | The hostname or IP address of the ONTAP instance.
licenses - |  | List of licenses to add or remove. Please note that trying to remove a non-existent license will throw an error.
| base - |  | Cluster Base License
| cdmi - |  | CDMI License
| cifs - |  | CIFS License
| fcp - |  | FCP License
| flexclone - |  | FlexClone License
| iscsi - |  | iSCSI License
| nfs - |  | NFS License
| snaplock - |  | SnapLock License
| snapmanagersuite - |  | SnapManagerSuite License
| snapmirror - |  | SnapMirror License
| snapprotectapps - |  | SnapProtectApp License
| snaprestore - |  | SnapRestore License
| snapvault - |  | SnapVault License
| v_storageattach - |  | Virtual Attached Storage License
password - / required |  | Password for the specified user. aliases: pass
remove_expired boolean | Choices: no yes | Remove licenses that have expired in the cluster.
remove_unused boolean | Choices: no yes | Remove licenses that have no controller affiliation in the cluster.
serial_number - |  | Serial number of the node associated with the license. This parameter is used primarily when removing license for a specific service. If this parameter is not provided, the cluster serial number is used by default.
username - / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user

## Notes

Note

- The modules prefixed with na\_cdot are built to support the ONTAP storage platform.

## Examples

    - name: Add licenses
      na_cdot_license:
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"
        serial_number: #################
        licenses:
          nfs: #################
          cifs: #################
          iscsi: #################
          fcp: #################
          snaprestore: #################
          flexclone: #################

    - name: Remove licenses
      na_cdot_license:
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"
        remove_unused: false
        remove_expired: true
        serial_number: #################
        licenses:
          nfs: remove

## Status

- This module will be removed in version 2.11. [deprecated]
- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.